Bug 185565 - Test262: Fix legacy CRLF eol
Summary: Test262: Fix legacy CRLF eol
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Leo Balter
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-05-11 14:47 PDT by Leo Balter
Modified: 2018-05-14 10:41 PDT (History)
5 users (show)

See Also:


Attachments
Patch (2.42 KB, patch)
2018-05-11 14:50 PDT, Leo Balter
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews205 for win-future (12.74 MB, application/zip)
2018-05-11 17:06 PDT, EWS Watchlist
no flags Details
Patch (2.15 KB, patch)
2018-05-14 09:59 PDT, Leo Balter
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Balter 2018-05-11 14:47:45 PDT
Test262: Update skip list from tests results
Comment 1 Leo Balter 2018-05-11 14:50:36 PDT
Created attachment 340225 [details]
Patch
Comment 2 Leo Balter 2018-05-11 14:51:34 PDT
I already checked the CRLF fix is not being reverted when we re-import Test262 anymore. See patch desc for more information on this issue.
Comment 3 EWS Watchlist 2018-05-11 17:06:38 PDT
Comment on attachment 340225 [details]
Patch

Attachment 340225 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/7655745

New failing tests:
http/tests/security/canvas-remote-read-remote-video-redirect.html
Comment 4 EWS Watchlist 2018-05-11 17:06:50 PDT
Created attachment 340233 [details]
Archive of layout-test-results from ews205 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews205  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 5 Yusuke Suzuki 2018-05-13 12:08:17 PDT
Comment on attachment 340225 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=340225&action=review

> JSTests/test262/config.yaml:6
> +  paths:
> +    - time-clip-to-integer.js # https://bugs.webkit.org/show_bug.cgi?id=185563

This change is unnecessary now since it is fixed.
Comment 6 Leo Balter 2018-05-14 07:17:01 PDT
Yusuke, so does this means we can close Bug 185563?
Comment 7 Yusuke Suzuki 2018-05-14 07:36:09 PDT
(In reply to Leo Balter from comment #6)
> Yusuke, so does this means we can close Bug 185563?

Yeah
Comment 8 Leo Balter 2018-05-14 08:03:26 PDT
Thanks!

I just checked with a new build and I can confirm it's fixed, probably by the Bug 185578.

I'll try to rebase this patch to only ship the CRLF fix, if that's ok.
Comment 9 Leo Balter 2018-05-14 09:59:47 PDT
Created attachment 340324 [details]
Patch
Comment 10 Leo Balter 2018-05-14 10:01:26 PDT
Done! Now I only left the path (and the respective bug ref) in the config file so it can be used as an example for further additions.

I renamed this Bug to match the latest patch.
Comment 11 Yusuke Suzuki 2018-05-14 10:01:36 PDT
Comment on attachment 340324 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=340324&action=review

> JSTests/test262/config.yaml:6
> +    # - time-clip-to-integer.js # https://bugs.webkit.org/show_bug.cgi?id=185563

I think this line is unnecessary.
Comment 12 Yusuke Suzuki 2018-05-14 10:02:00 PDT
(In reply to Leo Balter from comment #10)
> Done! Now I only left the path (and the respective bug ref) in the config
> file so it can be used as an example for further additions.
> 
> I renamed this Bug to match the latest patch.

Ah, OK.
Comment 13 WebKit Commit Bot 2018-05-14 10:39:21 PDT
Comment on attachment 340324 [details]
Patch

Clearing flags on attachment: 340324

Committed r231764: <https://trac.webkit.org/changeset/231764>
Comment 14 WebKit Commit Bot 2018-05-14 10:39:22 PDT
All reviewed patches have been landed.  Closing bug.
Comment 15 Radar WebKit Bug Importer 2018-05-14 10:41:18 PDT
<rdar://problem/40223130>